import * as tslib_1 from "tslib";
import { IgrHorizontalAnchoredCategorySeries } from "./igr-horizontal-anchored-category-series";
import { StepLineSeries } from "./StepLineSeries";
/**
 * Represents a IgxDataChartComponent step line series.
*
* ```html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-category-x-axis
*         label="label"
*         #xAxis>
*     </igx-category-x-axis>
*     <igx-numeric-y-axis
*         #yAxis>
*     </igx-numeric-y-axis>
*     <igx-step-line-series
*         [xAxis]="xAxis"
*         [yAxis]="yAxis"
*         valueMemberPath="value">
*     </igx-step-line-series>
* </igx-data-chart>
* ``
* ```
*/
var IgrStepLineSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrStepLineSeries, _super);
    function IgrStepLineSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrStepLineSeries.prototype.createImplementation = function () {
        return new StepLineSeries();
    };
    Object.defineProperty(IgrStepLineSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrStepLineSeries.prototype, "isAreaOrLine", {
        /**
         * Gets whether the current series shows an area or line shape.
        */
        get: function () {
            return this.i.ck;
        },
        enumerable: true,
        configurable: true
    });
    return IgrStepLineSeries;
}(IgrHorizontalAnchoredCategorySeries));
export { IgrStepLineSeries };
